Bug 748203 - nqc: udev rules need to be fixed
Summary: nqc: udev rules need to be fixed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nqc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-23 00:17 UTC by Kay Sievers
Modified: 2012-01-25 22:30 UTC (History)
1 user (show)

Fixed In Version: nqc-3.1.7-8.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-25 22:27:02 UTC


Attachments (Terms of Use)

Description Kay Sievers 2011-10-23 00:17:57 UTC
Hey,

udev rules must never try to rename kernel devices. The shipped rule tries to
replace the kernel-created device node with a symlink.

Also, all udev rules from RPMs belong into /lib/udev/rules.d/ never
in /etc. /etc is reserved for admins not to be used by packages.

This should be enough as the default setting:
  KERNEL=="legousbtower*", GROUP="lego"

Thanks!

Comment 1 Fedora Admin XMLRPC Client 2012-01-11 03:48:19 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora Update System 2012-01-17 03:50:06 UTC
nqc-3.1.7-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nqc-3.1.7-8.fc16

Comment 3 Fedora Update System 2012-01-17 03:50:15 UTC
nqc-3.1.7-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/nqc-3.1.7-8.fc15

Comment 4 Fedora Update System 2012-01-17 20:24:16 UTC
Package nqc-3.1.7-8.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nqc-3.1.7-8.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0619/nqc-3.1.7-8.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-01-25 22:27:02 UTC
nqc-3.1.7-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2012-01-25 22:30:26 UTC
nqc-3.1.7-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.